Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.util
[Java] Class AbstractUIThreadHandler

    java.lang.Object
      org.codehaus.griffon.runtime.util.AbstractUIThreadHandler

All Implemented Interfaces:
  UIThreadHandler

    public abstract class AbstractUIThreadHandler
    extends Object

Base implementation of `UIThreadHandler`

Authors:
  Andres Almiray

Field Summary
`protected static ExecutorService` | `DEFAULT_EXECUTOR_SERVICE`
`private static Thread.UncaughtExceptionHandler` | `UNCAUGHT_EXCEPTION_HANDLER`

Constructor Summary
`AbstractUIThreadHandler()`

Method Summary
`void` | `executeOutside(Runnable runnable)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### DEFAULT_EXECUTOR_SERVICE

    protected static final ExecutorService DEFAULT_EXECUTOR_SERVICE

### UNCAUGHT_EXCEPTION_HANDLER

    private static final Thread.UncaughtExceptionHandler UNCAUGHT_EXCEPTION_HANDLER

Constructor Detail

### AbstractUIThreadHandler

    AbstractUIThreadHandler()

Method Detail

### executeOutside

    public void executeOutside(Runnable runnable)

Groovy Documentation